System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The values are set to the and the properties of a object found in a object's .

The values determine the action that occurs when a value in a column is either deleted or updated. Of the two, deleting a value is the more critical and demanding of attention when setting a rule.

In the case where a value is deleted, Cascade specifies that all rows containing that value are also deleted. SetNull specifies that values in all child columns are set to null values. SetDefault specifies that all child columns be set to the default value for the column. None specifies that no action will occur, but exceptions are generated.

In the case where a value is updated, Cascade specifies that all child columns are likewise updated with the new value. SetNull specifies that all child columns be set to null values. SetDefault specifies that all child column values be set to the default value. None specifies that no action be taken, but exceptions are generated.

Constraints on a are not enforced unless the property is true.

When the method is called, the further determines what action occurs.

Indicates the action that occurs when a is enforced.

- Field
  System.Data.Rule To be added

  Delete or update related rows. This is the default.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Rule To be added

  No action taken on related rows.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Rule To be added

  Set values in related rows to the value contained in the property.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Rule To be added

  Set values in related rows to DBNull.

  1.0.5000.0
  2.0.0.0